Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229883 - CVE-2007-0006 Key serial number collision problem
Summary: CVE-2007-0006 Key serial number collision problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=kernelbugzill...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-23 23:04 UTC by Linda Wang
Modified: 2018-10-19 22:12 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0099
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 15:04:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0099 normal SHIPPED_LIVE Important: kernel security and bug fix update 2007-03-14 15:04:45 UTC

Description Linda Wang 2007-02-23 23:04:22 UTC
+++ This bug was initially created as a clone of Bug #227497 +++

The key serial number collision avoidance code is wrong.

This didn't use to be a problem as the key serial numbers were allocated from 
a simple incremented counter, and you'd have to go through 2 billion keys 
before encountering a collision.

However, now that random numbers are used instead, collisions are much more 
likely.

http://bugzilla.kernel.org/show_bug.cgi?id=7727

-- Additional comment from lwang@redhat.com on 2007-02-06 09:23 EST --
upstream patch is here:

http://bugzilla.kernel.org/attachment.cgi?id=10312&action=view

-- Additional comment from holtmann@redhat.com on 2007-02-06 09:29 EST --
Created an attachment (id=147467)
Proposed patch from David Howells


-- Additional comment from syeghiay@redhat.com on 2007-02-07 11:20 EST --
This is proposed as a Security Day 0 errata for 5.0.
Cleared rhel-5.0.0 and blocker and set rhel-5.1.0 flag.
Set pm_ack.

-- Additional comment from jturner@redhat.com on 2007-02-23 14:04 EST --
QE ack for RHEL5.

Comment 9 Mike Gahagan 2007-03-09 15:19:33 UTC
We haven't been able to reproduce the problem with the reproducer attached to
the rhel 4 version of this bug, but the patch is in the 8.1.1 kernel.



Comment 11 Red Hat Bugzilla 2007-03-14 15:04:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0099.html



Note You need to log in before you can comment on or make changes to this bug.